import { SAnimated } from './SAnimated';
export class SAnimatedProperty {
    get value() {
        return this._value;
    }
    set value(newValue) {
        let oldValue = this._value;
        this._value = newValue;
        SAnimated.onPropertyChanged(this, oldValue);
    }
    startDynamic(value) {
        SAnimated.startDynamic(this.name, this.property, value);
    }
    stopDynamic() {
        SAnimated.stopDynamic(this.name, this.property);
    }
    constructor(name, property, value) {
        this.name = name;
        this.property = property;
        this._value = value;
    }
}
//# sourceMappingURL=SAnimatedProperty.js.map