import { SAnimatedProperty } from './SAnimatedProperty';
export class SAnimatedShadowView {
    get opacity() {
        return this._opacity.value;
    }
    set opacity(value) {
        this._opacity.value = value;
    }
    set opacityDynamic(value) {
        if (value) {
            this._opacity.startDynamic(value);
        }
        else {
            this._opacity.stopDynamic();
        }
    }
    get scale() {
        return this._scale.value;
    }
    set scale(value) {
        this._scale.value = value;
    }
    set scaleDynamic(value) {
        if (value) {
            this._scale.startDynamic(value);
        }
        else {
            this._scale.stopDynamic();
        }
    }
    get translateX() {
        return this._translateX.value;
    }
    set translateX(value) {
        this._translateX.value = value;
    }
    get translateY() {
        return this._translateY.value;
    }
    set translateY(value) {
        this._translateY.value = value;
    }
    get iosWidth() {
        return this._iosWidth.value;
    }
    set iosWidth(value) {
        this._iosWidth.value = value;
    }
    get iosHeight() {
        return this._iosHeight.value;
    }
    set iosHeight(value) {
        this._iosHeight.value = value;
    }
    constructor(name, initial) {
        this.name = name;
        this._opacity = new SAnimatedProperty(name, 'opacity', initial && initial.opacity !== undefined ? initial.opacity : 1);
        this._scale = new SAnimatedProperty(name, 'scale', initial && initial.scale !== undefined ? initial.scale : 1);
        this._translateX = new SAnimatedProperty(name, 'translateX', initial && initial.translateX !== undefined ? initial.translateX : 0);
        this._translateY = new SAnimatedProperty(name, 'translateY', initial && initial.translateY !== undefined ? initial.translateY : 0);
        this._iosWidth = new SAnimatedProperty(name, 'ios-width', 0);
        this._iosHeight = new SAnimatedProperty(name, 'ios-height', 0);
    }
}
//# sourceMappingURL=SAnimatedShadowView.js.map