import * as React from 'react';
import { requireNativeComponent, Animated } from 'react-native';
import { SAnimated } from './SAnimated';
// interface RNFastAnimatedViewProps {
//     style?: StyleProp<ViewStyle>;
//     animatedKey: string;
//     pointerEvents?: PointerEvents;
// }
const RNOAnimatedView = requireNativeComponent('RNOAnimatedView');
const RNOAnimatedViewAnimated = Animated.createAnimatedComponent(RNOAnimatedView);
export class SAnimatedView extends React.PureComponent {
    constructor(props) {
        super(props);
        this._handler = (src) => {
            this.setState({ translateX: src.translateX, translateY: src.translateY, opacity: src.opacity });
        };
        this._unsubscribe = SAnimated.onViewMounted(this.props.name, this._handler);
        this.state = {};
    }
    componentWillUnmount() {
        this._unsubscribe();
    }
    render() {
        return (<RNOAnimatedViewAnimated style={[
            this.props.style,
            ((this.state.translateX !== undefined) || (this.state.translateY !== undefined)) && {
                transform: [
                    ...(this.state.translateX ? [{ translateX: this.state.translateX }] : []),
                    ...(this.state.translateY ? [{ translateY: this.state.translateX }] : []),
                ]
            },
            this.state.opacity !== undefined && {
                opacity: this.state.opacity
            }
        ]} animatedKey={this.props.name} pointerEvents={this.props.pointerEvents}>
                {this.props.children}
            </RNOAnimatedViewAnimated>);
    }
}
//# sourceMappingURL=SAnimatedView.js.map